Bug 1019456 - A lot of warnings "Could not get consistent results of the paged data and a total count"
A lot of warnings "Could not get consistent results of the paged data and a t...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity low
: ER01
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 14:44 EDT by Viet Nguyen
Modified: 2014-12-11 09:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:05:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (179.95 KB, text/plain)
2013-10-15 14:44 EDT, Viet Nguyen
no flags Details

  None (edit)
Description Viet Nguyen 2013-10-15 14:44:33 EDT
Created attachment 812648 [details]
server.log

Description of problem:

Seeing a lot of these warnings

14:26:52,057 WARN  [org.rhq.enterprise.server.util.CriteriaQueryRunner] (http-/0.0.0.0:7080-6) Could not get consistent results of the paged data and a total count for MeasurementScheduleCriteria[filter
s: [filterResourceGroupId=10021, filterResourceInventoryStatuses=[COMMITTED]], fetches: [], sorts: []]. After 10 attempts, the collection size is 7, while the count query reports 14 for PageControl[page
=0, size=-1, sort[definition.displayName ASC]]. The discrepancy has not cleared up in 3750ms so we're giving up, returning inconsistent results. Note that is most possibly NOT an error. It is likely cau
sed by concurrent database activity that changes the contents of the database that the criteria query is querying.: java.lang.Exception
        at org.rhq.enterprise.server.util.CriteriaQueryRunner.execute(CriteriaQueryRunner.java:81) [rhq-server.jar:4.9.0.JON320ER3]



Version-Release number of selected component (if applicable):


How reproducible:
Not reproducible

Steps to Reproduce:
1. Install ER3 build
2. Import the default agent
3.

Actual results:


Expected results:


Additional info:
Comment 1 Simeon Pinder 2013-11-08 09:41:37 EST
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.
Comment 4 Jay Shaughnessy 2014-08-25 10:29:00 EDT
This is likely solved-by/a-duplicate-of Bug 1034796.  I'm not aware of this error being reported with any frequency in recent times. Setting to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.